<?php
/**
 * Add-on Init File
 *
 * Initializes the file for the add-on version of the plugin.
 *
 * @author      WP_Ultimo
 * @category    Admin
 * @package     WP_Ultimo/Addon/Admin_Pages
 * @version     0.0.1
 */
if (!function_exists('material_wp_init')) :

	/**
	 * Initialize the Plugin
	 */
	add_action('plugins_loaded', 'material_wp_init', 1);

	/**
	 * Initializes the plugin
	 *
	 * @return void
	 */
	function material_wp_init() {

		if (!function_exists('WP_Ultimo')) {
			return;
		} // end if;

		if (!version_compare(WP_Ultimo()->version, '1.6.0', '>=')) {
			WP_Ultimo()->add_message(__('WP Ultimo: Admin Page Creator requires WP Ultimo version 1.6.0. ', 'wu-apc'), 'warning', true);
			return;
		} // end if;

		/*
        * Load the MaterialWP
        * @since 1.1.0
		*/
		add_action('plugins_loaded', 'initialize_material_wp', 11);

	}  // end material_wp_init;

endif;
